﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace C1ChartMVVMSample.ViewModel
{
   public class ChartViewModel:ViewModelBase
   {
       #region Ctor..
       public ChartViewModel()
       {
           _saleslist = new ObservableCollection<Sales>();
           LoadData();
           
       }
       #endregion
       #region private Fields
       ObservableCollection<Sales> _saleslist;
       #endregion
       #region publicProperties
       public ObservableCollection<Sales> SalesList
       {
           get { return _saleslist; }
           set { _saleslist = value; }
       }
       #endregion
       #region privateMethods
       void LoadData()
       {
           _saleslist.Add(new Sales("Confectionaries", 2500));
           _saleslist.Add(new Sales("Plastics", 3500));
           _saleslist.Add(new Sales("Electronics", 7500));
           _saleslist.Add(new Sales("Produces", 800));
       }
       #endregion
   }
}
